> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Returns a list of resource advice entries for the caller's tenant.
Each entry represents a unique combination of region, fabric, platform, and preset
(e.g., gpu-b200-sxm / 8gpu-160vcpu-1792gb in us-central1-b) and reports current
capacity availability across three allocation types: reserved, on-demand, and preemptible.
Use this method to determine where and which compute instances can be launched
given the tenant's quotas, capacity block groups, and the current physical capacity in data centers.
Supports filtering by region, resource type, or platform.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /capacity/v1/resource-advice
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /capacity/v1/resource-advice:
    get:
      tags:
        - nebius.capacity.v1.ResourceAdviceService
      summary: List
      description: >-
        Returns a list of resource advice entries for the caller's tenant.

        Each entry represents a unique combination of region, fabric, platform,
        and preset

        (e.g., gpu-b200-sxm / 8gpu-160vcpu-1792gb in us-central1-b) and reports
        current

        capacity availability across three allocation types: reserved,
        on-demand, and preemptible.

        Use this method to determine where and which compute instances can be
        launched

        given the tenant's quotas, capacity block groups, and the current
        physical capacity in data centers.

        Supports filtering by region, resource type, or platform.
      operationId: ResourceAdviceService_List
      parameters:
        - description: |-
            Tenant NID.
            Required to calculate 'available' numbers clipped by user quotas.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: Maximum number of items to return.
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: Page token for pagination.
          in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListResourceAdviceResponse'
          description: A successful response.
components:
  schemas:
    v1ListResourceAdviceResponse:
      properties:
        items:
          description: >-
            List of resource advice items matching the request.

            Each item represents a unique combination of Resource Type +
            Tier/Preset.
          items:
            $ref: '#/components/schemas/v1ResourceAdvice'
          type: array
        nextPageToken:
          description: Token for retrieving the next page of results.
          type: string
      type: object
    v1ResourceAdvice:
      description: |-
        ResourceAdvice is a virtual resource representing the availability
        of a specific technical configuration in a specific scope.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1ResourceAdviceSpec'
        status:
          $ref: '#/components/schemas/v1ResourceAdviceStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1ResourceAdviceSpec:
      description: Resource Advice specification.
      properties:
        computeInstance:
          $ref: '#/components/schemas/v1ComputeInstanceDetails'
        fabric:
          description: Data center fabric or cluster identifier.
          type: string
        region:
          description: Geographical region identifier.
          type: string
      type: object
    v1ResourceAdviceStatus:
      description: Resource Advice status.
      properties:
        onDemand:
          $ref: '#/components/schemas/ResourceAdviceStatusAvailability'
        preemptible:
          $ref: '#/components/schemas/ResourceAdviceStatusAvailability'
        reserved:
          $ref: '#/components/schemas/ResourceAdviceStatusAvailability'
      type: object
    v1ComputeInstanceDetails:
      description: Details for Compute/GPU capacity.
      properties:
        gpuMemoryGigabytes:
          description: GPU memory size.
          format: int32
          type: integer
        platform:
          description: 'Specific platform. Example: "gpu-h200-sxm".'
          type: string
        preset:
          $ref: '#/components/schemas/v1ComputeInstanceDetailsPreset'
      type: object
    ResourceAdviceStatusAvailability:
      description: Shows the available resources.
      properties:
        availabilityLevel:
          $ref: '#/components/schemas/AvailabilityAvailabilityLevel'
        available:
          description: Current units that can be allocated immediately (clipped by quota).
          format: int64
          type: integer
        dataState:
          $ref: '#/components/schemas/AvailabilityDataState'
        effectiveAt:
          description: The timestamp of the actual infrastructure measurement.
          format: date-time
          type: string
        limit:
          description: The user's maximum quota limit for this resource type.
          format: int64
          type: integer
      type: object
    v1ComputeInstanceDetailsPreset:
      description: Preset details.
      properties:
        name:
          description: Name of the preset (e.g., "8gpu-128vcpu-1600gb").
          type: string
        resources:
          $ref: '#/components/schemas/ComputeInstanceDetailsPresetResources'
      type: object
    AvailabilityAvailabilityLevel:
      default: AVAILABILITY_LEVEL_UNSPECIFIED
      description: |-
        Indicates the likelihood of a successful allocation.

         - AVAILABILITY_LEVEL_UNSPECIFIED: Shouldn't ever happen.
         - AVAILABILITY_LEVEL_HIGH: Plenty of room for large requests.
         - AVAILABILITY_LEVEL_MEDIUM: Room for medium requests.
         - AVAILABILITY_LEVEL_LOW: High risk of Not Enough Resources (NER).
         - AVAILABILITY_LEVEL_LIMIT_REACHED: Not enough quota or capacity block on the customer's side.
         - AVAILABILITY_LEVEL_UNKNOWN: Failed to retrieve data.
      enum:
        - AVAILABILITY_LEVEL_UNSPECIFIED
        - AVAILABILITY_LEVEL_HIGH
        - AVAILABILITY_LEVEL_MEDIUM
        - AVAILABILITY_LEVEL_LOW
        - AVAILABILITY_LEVEL_LIMIT_REACHED
        - AVAILABILITY_LEVEL_UNKNOWN
      type: string
    AvailabilityDataState:
      default: DATA_STATE_UNSPECIFIED
      description: |-
        Shows if data could be trusted.

         - DATA_STATE_UNSPECIFIED: Shouldn't ever happen.
         - DATA_STATE_FRESH: Data is relevant and reflects current state of the system.
         - DATA_STATE_STALE: Data is not relevant anymore as it was fetched long time ago.
         - DATA_STATE_UNKNOWN: Failed to retrieve data.
      enum:
        - DATA_STATE_UNSPECIFIED
        - DATA_STATE_FRESH
        - DATA_STATE_STALE
        - DATA_STATE_UNKNOWN
      type: string
    ComputeInstanceDetailsPresetResources:
      description: All resources existing in a preset.
      properties:
        gpuCount:
          description: Number of GPU cores.
          format: int32
          type: integer
        memoryGibibytes:
          description: Memory size.
          format: int32
          type: integer
        vcpuCount:
          description: Number of vCPUs.
          format: int32
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````